/**
 * Created by Nikolay Ilin (na.iline@me.com) on 19.10.2017.
 * Copyrights by Soft-Artel LIMITED
 * www.soft-artel.com
 */

'use strict';
const  fs   = require( 'fs' );

let    pkg   = require( './package.json' );

let v = pkg.version;

let comp = v.split('.');

comp[ comp.length - 1 ]++;

v = comp.join('.');

pkg.version = v;

pkg = JSON.stringify( pkg, null, 3 );

fs.writeFile( './package.json', pkg, function (err) {
    if (err) return console.log(err);
} );
